Creates a new skill

Request Information

URI Parameters :

None.

Body Parameters :

skill
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the skill

string

Required

Max length: 255

description

Description of the skill

string

Max length: 4000

code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating skill

string
sales_organization

Embedded entity "sales_organization" when adding/updating skill

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "b3a2b953-067b-4ed1-8ad0-289509e27a6c",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "sales_organization_id": "1a4a0d25-8c57-4ea4-ad21-f4bebc441358",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "c1192430-077c-4887-9546-b262d9be48a5",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "8a8f878b-4107-4b8b-9672-7ec1afbfd640",
    "db_currency_id": "304311c9-55cc-466e-885b-ecea1da58a30",
    "db_language_id": "95e095fa-b3ea-43d2-994c-6b70fd87db6d",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-04-16T10:24:29.1580992+00:00"
  },
  "modified_dateutc": "2026-04-16T10:24:29.1893583+00:00"
}

Response Information

Resource Description :

IHttpActionResult

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.